> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Transaction Item

> A `GET` to the `/transactions/{transactionId}/items` endpoint allows your application to add an Item (Products) to a Transaction record.



## OpenAPI

````yaml post /v3/transactions/{transaction}/items
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/transactions/{transaction}/items:
    post:
      tags:
        - Transaction Item
      summary: Add Transaction Item
      description: >-
        A `GET` to the `/transactions/{transactionId}/items` endpoint allows
        your application to add an Item (Products) to a Transaction record.
      operationId: transactions.items.store
      parameters:
        - name: transaction
          in: path
          required: true
          description: The transaction ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreTransactionItem'
      responses:
        '200':
          description: '`TransactionItem`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TransactionItem'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreTransactionItem:
      type: object
      properties:
        name:
          type: string
        product_variant_id:
          type: integer
        quantity:
          type: integer
        is_void:
          type:
            - boolean
            - 'null'
        price_current:
          type: number
        price_sell:
          type: number
        price_original:
          type:
            - number
            - 'null'
        price_margin:
          type:
            - number
            - 'null'
        tags:
          type: array
          items:
            type: string
      required:
        - name
        - product_variant_id
        - quantity
        - price_current
        - price_sell
      title: StoreTransactionItem
    TransactionItem:
      type: object
      properties:
        id:
          type: integer
        external_id:
          type:
            - string
            - 'null'
        name:
          type: string
        transaction_id:
          type: integer
        product_id:
          type:
            - integer
            - 'null'
        product_variant_id:
          type:
            - integer
            - 'null'
        sku:
          type:
            - string
            - 'null'
        variant_external_id:
          type:
            - string
            - 'null'
        is_void:
          type: boolean
        quantity:
          type: integer
        price_current:
          type:
            - number
            - 'null'
        price_sell:
          type: number
        price_original:
          type:
            - number
            - 'null'
        price_margin:
          type:
            - number
            - 'null'
        price_tax:
          type:
            - number
            - 'null'
        is_return:
          type: string
        discounts:
          type:
            - array
            - 'null'
          items: {}
        department:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        product_images:
          type: object
        order_id:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        pivot:
          anyOf:
            - type: object
              properties:
                created_at:
                  type: string
                updated_at:
                  type: string
              required:
                - created_at
                - updated_at
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        product_variant:
          $ref: '#/components/schemas/ProductVariant'
        product:
          type: object
          properties:
            title:
              type:
                - string
                - 'null'
            department:
              type:
                - string
                - 'null'
            brand:
              type:
                - string
                - 'null'
            custom_fields:
              type: array
              items:
                $ref: '#/components/schemas/CustomField'
          required:
            - title
            - department
            - brand
            - custom_fields
        transaction:
          type: object
          properties:
            transacted_at:
              type: string
            receipt_ref:
              type:
                - string
                - 'null'
            external_id:
              type:
                - string
                - 'null'
            location:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: integer
                type:
                  type:
                    - string
                    - 'null'
                name:
                  type:
                    - string
                    - 'null'
                description:
                  type:
                    - string
                    - 'null'
                phone:
                  type:
                    - string
                    - 'null'
                email:
                  type:
                    - string
                    - 'null'
                external_id:
                  type:
                    - string
                    - 'null'
                is_published:
                  type: boolean
                is_permanently_closed:
                  type: boolean
                address:
                  $ref: '#/components/schemas/Address'
              required:
                - id
                - type
                - name
                - description
                - phone
                - email
                - external_id
                - is_published
                - is_permanently_closed
                - address
          required:
            - transacted_at
            - receipt_ref
            - external_id
            - location
        list_items:
          type: array
          items:
            $ref: '#/components/schemas/TransactionItemProductListItem'
      required:
        - id
        - external_id
        - name
        - transaction_id
        - product_id
        - product_variant_id
        - sku
        - variant_external_id
        - is_void
        - quantity
        - price_current
        - price_sell
        - price_original
        - price_margin
        - price_tax
        - is_return
        - discounts
        - department
        - meta
        - product_images
        - order_id
        - created_at
        - updated_at
        - pivot
        - product_variant
        - product
        - transaction
        - list_items
      title: TransactionItem
    ProductVariant:
      type: object
      properties:
        id:
          type: integer
        product_id:
          type: integer
        sku:
          type: string
        external_id:
          type:
            - string
            - 'null'
        barcode:
          type:
            - string
            - 'null'
        web_url:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        position:
          type: integer
        price:
          type: number
        price_discounted:
          type:
            - number
            - 'null'
        price_comparison:
          type:
            - number
            - 'null'
        price_cost:
          type:
            - number
            - 'null'
        available_quantity:
          type:
            - integer
            - 'null'
        images:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOption'
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      required:
        - id
        - product_id
        - sku
        - external_id
        - barcode
        - web_url
        - handle
        - title
        - description
        - position
        - price
        - price_discounted
        - price_comparison
        - price_cost
        - available_quantity
        - images
        - meta
        - tags
        - options
        - created_at
        - updated_at
        - deleted_at
      title: ProductVariant
    CustomField:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        namespace:
          type: string
        value:
          type: string
        type:
          type: string
        custom_fieldable_type:
          type: string
        custom_fieldable:
          anyOf:
            - type: 'null'
            - $ref: '#/components/schemas/TransactionBasic'
            - type: object
              properties:
                id:
                  type: integer
                address_line_1:
                  type: string
                address_line_2:
                  type: string
                address_line_3:
                  type: string
                city:
                  type: string
                postcode:
                  type: string
                state:
                  type: string
                country:
                  type: string
                phone:
                  type: string
                external_id:
                  type: string
                iso:
                  type: string
                iso_state:
                  type: string
                profile_id:
                  type: string
              required:
                - id
                - address_line_1
                - address_line_2
                - address_line_3
                - city
                - postcode
                - state
                - country
                - phone
                - external_id
                - iso
                - iso_state
                - profile_id
        created_at:
          type: string
        updated_at:
          type: string
        is_index:
          type:
            - integer
            - 'null'
      required:
        - name
        - handle
        - namespace
        - value
        - type
        - custom_fieldable_type
        - custom_fieldable
        - created_at
        - updated_at
        - is_index
      title: CustomField
    Address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
        address_line_2:
          type:
            - string
            - 'null'
        address_line_3:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        latitude:
          type:
            - number
            - 'null'
        longitude:
          type:
            - number
            - 'null'
        city:
          type: string
        postcode:
          type: string
        state:
          type:
            - string
            - 'null'
        country:
          type: string
        notes:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        name:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        iso:
          type:
            - string
            - 'null'
        iso_state:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        custom_fields:
          type: object
          additionalProperties: {}
      required:
        - id
        - address_line_1
        - address_line_2
        - address_line_3
        - company
        - latitude
        - longitude
        - city
        - postcode
        - state
        - country
        - notes
        - external_id
        - is_default
        - created_at
        - updated_at
        - meta
        - name
        - type
        - phone
        - iso
        - iso_state
        - profile_id
        - custom_fields
      title: Address
    TransactionItemProductListItem:
      type: object
      properties:
        id:
          type: string
        product_list_id:
          type: string
        list:
          anyOf:
            - type: object
              properties:
                name:
                  type: string
                handle:
                  type: string
                description:
                  type: string
              required:
                - name
                - handle
                - description
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        created_at:
          type: string
        updated_at:
          type: string
        quantity:
          type: string
        position:
          type: string
        status:
          type: string
        meta:
          type: string
        pivot:
          anyOf:
            - type: object
              properties:
                created_at:
                  type: string
                updated_at:
                  type: string
              required:
                - created_at
                - updated_at
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
      required:
        - id
        - product_list_id
        - list
        - created_at
        - updated_at
        - quantity
        - position
        - status
        - meta
        - pivot
      title: TransactionItemProductListItem
    Tag:
      type: string
      title: Tag
    ProductOption:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
      required:
        - name
        - value
        - sort_order
      title: ProductOption
    TransactionBasic:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        profile_id:
          type: string
        meta:
          type: string
        total:
          type: string
        total_original:
          type: string
        rounding:
          type: string
        margin:
          type: string
        is_void:
          type: string
        transacted_at:
          type: string
        timezone:
          type: string
        payments:
          type: string
        receipt_is_email:
          type: string
        receipt_ref:
          type: string
        linked_receipt_ref:
          type: string
        claimed_at:
          type: string
        receipt_email:
          type: string
        currency_id:
          type: string
        currency_rate:
          type: string
        currency:
          type: string
        type:
          type: string
        status:
          type: string
        order_number:
          type: string
        order_id:
          type: string
        external_order_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - external_id
        - profile_id
        - meta
        - total
        - total_original
        - rounding
        - margin
        - is_void
        - transacted_at
        - timezone
        - payments
        - receipt_is_email
        - receipt_ref
        - linked_receipt_ref
        - claimed_at
        - receipt_email
        - currency_id
        - currency_rate
        - currency
        - type
        - status
        - order_number
        - order_id
        - external_order_id
        - created_at
        - updated_at
      title: TransactionBasic
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````